tt_thread_procid_set(library call)

NAME
tt_thread_procid_set — set the default procid for the currently active thread

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_thread_procid_set(
const char *procid);

DESCRIPTION

The tt_thread_procid_set function sets the default procid for the currently active thread. The default procid is an implicit argument to most ToolTalk API calls.

ARGUMENTS

procid
    Specifies the name of the procid that is to be the default procid for the current thread.

RETURN VALUE

Upon completion, the tt_thread_procid_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession process is not running and the ToolTalk service cannot start it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

TT_ERR_UNIMP
    The ToolTalk implementation does not support multithreading.

TT_ERR_TOOLATE
    The multithreading feature has not been enabled.

APPLICATION USAGE

None.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_open(3)